#Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
import os
import sys
sys.path.insert(0, os.path.abspath('..'))


# -- Project information -----------------------------------------------------

project = 'ldapserver'
copyright = '2021, Julian Rother'
author = 'Julian Rother'


# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ['sphinx.ext.autodoc', 'sphinx.ext.autosummary',
		'sphinx.ext.intersphinx', 'sphinx.ext.coverage', 'sphinx_multiversion']

autodoc_inherit_docstrings = False
autodoc_member_order = 'bysource'

intersphinx_mapping = {
	'python': ('https://docs.python.org/3', None),
}

smv_tag_whitelist = r'^v[0-9]+\.[0-9]+\.[0-9]+$'
smv_branch_whitelist = r'^master$'
smv_remote_whitelist = r'^origin$'
#smv_released_pattern = r'^tags/v[0-9]+\.[0-9]+\.[0-9]+$'
smv_prefer_remote_refs = False

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'alabaster'
html_theme = 'sphinx_rtd_theme'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']
